Page MenuHomePhabricator

Have consistent ordering of Layer properties in data.yml
Closed, ResolvedPublic

Description

Meddo sometimes has the properties in the order {id, geometry, description, fields, Datasource, properties} and sometimes puts properties before Datasource.

There is no technical difference to the user of the file, but it makes it easier to consistently edit and read it if they're all in the same order

Event Timeline

Pnorman created this task.Jun 1 2018, 11:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 11:55 PM
Vvjjkkii renamed this task from Have consistent ordering of Layer properties in data.yml to 9sbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 9sbaaaaaaa to Have consistent ordering of Layer properties in data.yml.Jul 2 2018, 1:26 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Pnorman claimed this task.Jul 3 2018, 4:17 PM
Pnorman triaged this task as Lowest priority.

claiming to check if an issue with osm-bright.tm2source. Either way, I'll open an issue in the meddo repo

Mholloway moved this task from Backlog to To-do on the Maps-Sprint board.Jul 3 2018, 4:56 PM
Pnorman closed this task as Resolved.Jul 17 2018, 4:15 PM

It's not an issue in osm-bright.tm2source. I did see some other cleanup issues there which I've filed.